diff .chezmoiscripts/run_onchange_after_17-install-zsh.sh.tmpl @ 809:72744c944497

feat: install packages and rtx for management
author zegervdv <zegervdv@me.com>
date Tue, 05 Dec 2023 20:03:16 +0100
parents
children 7810e6006a61
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_17-install-zsh.sh.tmpl	Tue Dec 05 20:03:16 2023 +0100
@@ -0,0 +1,26 @@
+{{ if (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu")) -}}
+#!/usr/bin/env bash
+
+{{ $version := "5.9" -}}
+
+set -xe
+
+TMP_BUILD_DIR=/tmp/zsh-install-dir
+rm -rf "$TMP_BUILD_DIR" || true
+mkdir -p $TMP_BUILD_DIR
+pushd "$TMP_BUILD_DIR"
+
+curl -L https://github.com/zsh-users/zsh/archive/refs/tags/zsh-{{ $version }}.tar.gz | tar xz
+pushd zsh-zsh-{{ $version }}
+./Util/preconfig
+./configure --prefix /usr/local/
+make -j
+sudo make install
+
+sudo chsh -s /usr/local/bin/zsh $USER
+
+cd
+
+rm -rf "$TMP_BUILD_DIR"
+
+{{ end }}